:root {
  --1px: .0625rem;
  --c1: #005688;
  --c2: #7dcfff;
}

html {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

body {
  margin: 0;
  padding: 0;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.inline-feather {
  width: auto;
  height: 1.3em;
  position: relative;
  top: .3em;
}

#wrapper {
  max-width: 80rem;
  margin: 3rem auto 0;
}

p{
  line-height: 1.5em;
}
a:not(nav a) {
  display: inline-block;
  padding: .3em 0;
}

.slides {
  position: relative;
  height: calc(400 * var(--1px));
  overflow: hidden;
}

.slides .slide {
  position: absolute;
  /* right: 0;
  left: 0; */
  z-index: -1;
}

.slides-text {
  max-width: 60ch;
  /* outline: 2px solid #fff8; */
  background-color: #fffc;
  transition: background-color .2s ease;
  padding: 2rem;
  position: absolute;
  bottom: 2rem;
  left: 2rem;
}
.slides-text:hover,
.slides-text:focus-within {
  background-color: #ffff;
  transition: background-color .2s ease;
}
.slides-text h3 {
  margin-top: 0;
}

.home-cards-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 1rem;
}

.home-cards {
  position: relative;
  /* outline: 2px solid #f004; */
  background-color: #fff;
  filter: drop-shadow(0 0 .2rem #0002);
  padding: 1rem 2rem;
  overflow: hidden;
  transition: all .2s ease;
}
.home-cards::after {
  content: "";
  display: block;
  background-color: var(--c1);
  filter: opacity(.05);
  width: 15rem;
  height: 200%;
  position: absolute;
  top: -40%;
  left: -130%;
  transform: rotate(-30deg);
  /* transition: all .5s ease; */
}
.home-cards:hover {
  transform: scale(105%);
  filter: drop-shadow(0 0 .4rem #0002);
  transition: all .2s ease;
  z-index: 3;
}
.home-cards:hover::after {
  left: 140%;
  transition: all .5s ease;
}

.home-cards-icon {
  position: absolute;
  color: var(--c1);
  top: -1.2rem;
  left: -1.2rem;
  filter: opacity(.07);
  width: 7rem;
  height: auto;
  stroke-width: var(--1px);
}


.bolt {
  transform: scaleX(-1) rotate(70deg);
}

.home-cards-header {
  margin-top: 1em;
  color: var(--c1);
}


.btn {
  background-color: var(--c1);
  display: inline-block;
  padding: .8em;
  font-weight: bold;
  color: white;
  border-radius: .25rem;
  filter: drop-shadow(0 0 0 #000);
  transition: filter .2s ease;
}
.btn:hover,
.btn:active,
.btn:focus,
.btn:focus-visible {
  text-decoration: none;
  transition: filter .2s ease;
  filter: drop-shadow(0 0 .2rem #0005);
}

section>h2 {
  text-align: center;
  margin-top: 1.3rem;
}
a {
  color: inherit;
}
a:hover,
a:focus {
  text-decoration: none;
}
a:not(nav a) {
  color: var(--c1);

}

main {
  
  margin-top: 2rem;
}
.dienstleistungen {
  display: grid;
  grid-template-columns: 30ch 1fr;
}
main a {
  color: var(--c1);
}
aside,
section:not(.slides) {
  background-color: #fff;
  filter: drop-shadow(0 0 .2rem #0002);
  padding: 1rem;
  margin-bottom: 1rem;
}
aside {
  max-width: 25ch;
}
aside .btn {
  margin-top: 2rem;
}

main a:hover,
main a:focus,
main a:focus-visible {
  text-decoration: none;
}

main section:not(.main-content section) {
  grid-column: span;
}

main section ul {
  list-style-type: square;
  padding-left: 1em;
}
main section ul li:not(.home-cards) {
  line-height: 2;
}

main section li::marker {
  color: var(--c1);
}

.it-section::after {
  content: "";
  display: block;
  clear: both;
}
.it-section:nth-of-type(even) img {
  float: left;
  margin-right: 1.5rem;
}
.it-section:nth-of-type(odd) img {
  float: right;
  margin-left: 1.5rem;
}

.contact {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  max-width: 60rem;
  margin-left: auto;
  margin-right: auto;
}

.contact-options,
.contact-time {
  position: relative;
}
.contact-options .feather,
.contact-time .feather {
  position: absolute;
  color: var(--c1);
  left: -1.8rem;
}

.t-center {
  text-align: center;
}
.t-color {
  color: var(--c1);
}

.contact-footer .t-color,
.contact-footer .feather {
  color: var(--c2);
}
.contact-footer a:hover,
.contact-footer a:focus {
  text-decoration: none;
}

.padding-lr {
  padding-left: 1rem;
  padding-right: 1rem;
}

@media (max-width: 1260px) {
  header {
    grid-template-columns: 1fr;
  }
  header>a {
    justify-self: center;
  }
}
@media (max-width: 960px) {
  header .contact {
    display: none;
  }
  .home-cards-container {
    grid-template-columns: 1fr 1fr;
  }
  
}
@media (max-width: 890px) {
  footer {
    grid-template-areas: "a a" "b c" "d d";
  }
}
@media (max-width: 680px) {
  .home-cards-container {
    grid-template-columns: 1fr;
  }
  .it-section:nth-of-type(even) img,
  .it-section:nth-of-type(odd) img {
    float: none;
    display: block;
    margin: 0 auto 1em;
  }
  .contact.contact-main {
    grid-template-areas: "a" "c" "b";
  }
  .contact.contact-main div {
    left: 35%;
  }
}
@media (max-width: 740px) {
  .slides-text {
    max-width: 35ch;
  }
}
@media (max-width: 1050px) {
  .dienstleistungen {
    grid-template-columns: 1fr;
  }
  .dienstleistungen aside {
    max-width: 100%;
  }
  .contact-main {
    grid-template-columns: none;
    grid-template-areas: "a b" "c b";
  }
  .contact-main div:nth-of-type(1) {
    grid-area: a;
  }
  .contact-main div:nth-of-type(2) {
    grid-area: c;
  }
  .contact-main div:nth-of-type(3) {
    grid-area: b;
  }
  .contact-main div {
    position: relative;
    left: 5rem;
  }
}

#nav-btn {
  display: none;

  z-index: 30;
  border-radius: 100rem;
  border: none;
  background-color: var(--c1);
  color: white;

  position: fixed;
  bottom: 1rem;
  right: 2rem;

  width: 4rem;
  height: 4rem;
  border-radius: 2rem;
  cursor: pointer;
  text-shadow: 0 0 0 #000;
  filter: drop-shadow(0 0 1rem #0007);
  transition-property: color, text-shadow, background-color;
  transition-duration: .2s;
  transition-timing-function: ease-out;
}
#nav-btn:hover,
#nav-btn:active,
#nav-btn:focus,
#nav-btn:focus-within,
#nav-btn.clicked {
  background-color: white;
  color: var(--c1);
  transition: all .2s ease;
}

#nav-btn svg {
  width: 2.5rem;
  height: 2.5rem;
}

#nav-btn span {
  position: absolute;
  left: -9999rem;
}

@media (max-width: 960px) {
  #nav-btn {
    display: block;
  }
  nav ul {
    flex-direction: column;
    /* overflow: hidden; */
  }
  nav ul li:hover>ul,
  nav ul:focus>ul,
  nav ul li:focus-within>ul {
    left: -101.5%;
    top: unset;
    bottom: 0;
    border-right: .25rem solid transparent;
  }
  nav {
    width: 0;
    position: fixed;
    z-index: 30;
    bottom: 5rem;
    right: 9999rem;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  nav .feather {
    transform: rotate(90deg);
  }
  #nav-btn.clicked+nav {
    right: 1rem;
    width: 25ch;
    transition: width .2s ease;
  }
  nav li li::before {
    display: none;
  }
}

.break {
  margin-top: 1em;
  display: inline-block;
}